// FPGA PCI driver
// Author : Nathan Williams <nathan@traverse.com.au>
// Last Mod : $Date: 2008-08-25 10:03:43 +1000 (Mon, 25 Aug 2008) $
// Revision : $Rev: 15 $

#define VERSION "0.04"
#define PTAG "solos-pci"

//#undef DEBUG
#define DEBUG 1

#ifdef DEBUG
#define PDEBUG(arg...)  printk(KERN_ALERT "solos-pci: " arg)
#else
#define PDEBUG(arg...)
#endif

#define CONFIG_RAM_SIZE 128 //32-bit words = 512 bytes
#define FLAGS_ADDR 0x7C
#define IRQ_EN_ADDR 0x78
#define FPGA_VER 0x74
#define IRQ_CLEAR 0x70
#define BUG_FLAG 0x6C

#define DATA_RAM_SIZE 32768 //32-bit words = 32K bytes
#define HEADER_SIZE 8 //bytes at front of buffer reserved for VPI/VCI
#define BUF_SIZE 4096 //32-bit words = 4K bytes
#define DATA_SIZE BUF_SIZE - HEADER_SIZE
#define MODEM_SIZE (BUF_SIZE * 2)
//Determine correct BUF address by:
//dev_num * MODEM_SIZE + RX_BUF_ADDR
// OR
//dev_num * MODEM_SIZE + TX_BUF_ADDR

#define RX_BUF_ADDR 0x0000
#define TX_BUF_ADDR BUF_SIZE
//#define RX_BUF_ADDR0 0x0000
//#define TX_BUF_ADDR0 0x1000
//#define RX_BUF_ADDR1 0x2000
//#define TX_BUF_ADDR1 0x3000
//#define RX_BUF_ADDR2 0x4000
//#define TX_BUF_ADDR2 0x5000
//#define RX_BUF_ADDR3 0x6000
//#define TX_BUF_ADDR3 0x7000

#define ATM_IF_NUM 2 //number of required ATM interfaces
